{
	gSystem->Load("CsICalib_C.so");

	//CsICalib cal;
	CsICalib cal("SQ13Trit.par");

//	cal.OpenSQ13TritTrees();
//	cal.LoadCutsSQ13T();

	TCanvas *c1 = new TCanvas("c1", "Plain");	
	TCanvas *c2 = new TCanvas("c2", "Plain");
	TCanvas *c3 = new TCanvas("c3", "Plain");

//	cal.PrintTrees();
//	cal.PrintFiles();
//	cal.PrintCuts();

	cal.PrintParameters();

//	cal.DrawBeam(c3, 3);

//	cal.DrawVariableCut("SQ13", 0, c1, "cutSQ13Trit");
//	cal.DrawVariableCut("SQ13", 1, c2, "cutSQ13Trit19", "cutSQ13Trit19Amp");
//	cal.DrawVariableCut("SQ13", 2, c3, "cutSQ13Trit24", "cutSQ13Trit24Amp");

	cal.GetPeakMean("SQ13", 0, 0, c1, "cutSQ13Trit14Amp", 256);
	cal.GetPeakMean("SQ13", 1, 1, c2, "cutSQ13Trit19Amp", 256);
	cal.GetPeakMean("SQ13", 2, 2, c3, "cutSQ13Trit24Amp", 256);


	TCanvas *cCal = new TCanvas("cCal", "calibration SQ13 Triton");
	cal.Calibrate(cCal);
	cal.SaveClbGraphs("gSQ13Trit.root", "RECREATE");
	cal.WriteClbParameters("calSQ13Trit.clb");

return;
}
